﻿#region netDxf, Copyright(C) 2009 Daniel Carvajal, Licensed under LGPL.

//                        netDxf library
// Copyright (C) 2009 Daniel Carvajal (haplokuon@gmail.com)
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
// FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 

#endregion

namespace netDxf
{
    /// <summary>
    /// Defines the text alignment.
    /// </summary>
    public enum TextAlignment
    {
        /// <summary>
        /// Top left.
        /// </summary>
        TopLeft,
        /// <summary>
        /// Top center.
        /// </summary>
        TopCenter,
        /// <summary>
        /// Top right.
        /// </summary>
        TopRight,
        /// <summary>
        /// Middle left.
        /// </summary>
        MiddleLeft,
        /// <summary>
        /// Middle center.
        /// </summary>
        MiddleCenter,
        /// <summary>
        /// Middle right.
        /// </summary>
        MiddleRight,
        /// <summary>
        /// Bottom left.
        /// </summary>
        BottomLeft,
        /// <summary>
        /// Bottom center.
        /// </summary>
        BottomCenter,
        /// <summary>
        /// Bottom right.
        /// </summary>
        BottomRight,
        /// <summary>
        /// Baseline left.
        /// </summary>
        BaselineLeft,
        /// <summary>
        /// Baseline center.
        /// </summary>
        BaselineCenter,
        /// <summary>
        /// Baseline right.
        /// </summary>
        BaselineRight
    }
}